/*
Theme Name: Storefront-Child-Deco-Cire
Version: 1.0
Description: Child theme for Storefront.
Author: Molentum Oy
Author URI: https://molentum.fi/
Template: storefront
*/

/* --------------- Theme customization starts here ----------------- */


.home.blog .site-header, .home.page:not(.page-template-template-homepage) .site-header, .home.post-type-archive-product .site-header{
	margin-bottom:0 !important;
}


body{
	font-family: 'Montserrat', sans-serif;
}

/*Products */
.add_to_cart_button, .product_type_simple,.hentry .entry-content .wp-block-button{
	width: 100%;
	margin-bottom:0px !important;
}
.home .entry-header{
	text-align: center !important;
}
ul.products li.product img{
	width: 100% !important;
}

.woocommerce-products-header h1{
	text-transform: uppercase !important;
	font-weight: 300 !important;
}

h1{
	font-size: 2.3rem !important;
}

.woocommerce-products-header {
	padding:0 0 0 0 !important;
}

.price{
	font-size: 16px !important;
}

.products .product{
	border: 1px solid #999
}

ul.products li.product .woocommerce-loop-product__title{
	font-weight: 700 !important;
	font-size: 16px !important;
}

.site-header-cart .cart-contents::after{
	float:none !important;
}

.woocommerce-active .site-header .site-header-cart{
	width: 150px !important;
}

.widget_shopping_cart{
	width:300px !important;
}

.site-header-cart .cart-contents{
	padding:0 0!important;
	color: #fff;
}

.site-header-cart {
	position: absolute !important;
	top: 30px;
	left: 53%;
}

.sku_wrapper{
	display: none !important;
}

.site-header{
	padding-top: 20px !important;
}

.home.post-type-archive-product .site-header{
	margin-bottom: 0rem !important;
}

#hero{
	padding-top:0px;
}

#hero img{
	max-width: 100% !important;
	width: 100% !important;
	filter: brightness(80%);
}


/*Menu*/
.main-navigation ul.menu > li > a, .main-navigation ul.nav-menu > li > a{
	padding:0.7rem 1rem;
}

#menu-oma-valikko a{
	font-weight: 600;
	border-right: 1px dotted #888;
	font-size: 14px !important;
}

#menu-oma-valikko li:first-child a {
	border-left: 1px dotted #888;
}

.site-header .site-branding img{
	max-width: 100px !important;
}

.main-navigation ul li a{
	color: #fff !important;
}

.site-header ul.menu li.current-menu-item > a{
	color: #e2001a !important; 
}


a:focus, button:focus, .button.alt:focus, input:focus, textarea:focus, input[type="button"]:focus, input[type="reset"]:focus, input[type="submit"]:focus, input[type="email"]:focus, input[type="tel"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus {
    outline-color: transparent !important;
}

.menu-toggle{
	background-color:#fff !important;
}

#site-navigation{
	width: 100%;
	text-align: center;
}

/*Footer*/

.footer-widget-1{
	display: grid;
	grid-template-columns: repeat(auto-fit,minmax(300px,1fr));
	grid-gap:1rem;
}

.site-info{
	display: none;
}

.storefront-primary-navigation,.main-navigation ul.menu ul.sub-menu{
	background:#1a171b !important;
}

.footer-widgets{
	padding-top: 0px !important;
}

.site-footer{
	padding: 4rem 1rem!important;
}

footer .widget{
	margin: 0 0 0!important;
}


/*juicer*/
h1.referral {
	display:none;
	visibility:hidden;
}
ul.juicer-feed {
	overflow-y:hidden;
}
li.feed-item.juicer.image-post.juicer-ad,
li.feed-item.juicer.image-post.juicer-about {
	display:none;
	visibility:hidden;
}


a:focus,
.focus a {
	outline: none !important;
}

.added_to_cart{
	width:100% !important;
	background-color:black !important;
}

.added_to_cart:hover{
	width:100% !important;
	background-color:black !important;
}

.site-footer .storefront-handheld-footer-bar a:not(.button):not(.components-button) {
	color: black !important;
}

.storefront-handheld-footer-bar ul li.cart .count{
	background-color:black !important;
}

.single-product div.product .product_meta .sku_wrapper{
	display:none !important;
}

.single-product div.product .product_meta .posted_in{
	display:none !important;
}

.storefront-breadcrumb{
	margin: 0px 0px !important;
	padding: 1rem 0rem
}

.woocommerce-products-header h1:last-child {
	padding:1rem 0rem;
}

.storefront-sorting{
	margin-top:1rem;
}

.site-header-cart .cart-contents{
	color:black !important; 
}

#hero_caption{
	position: absolute;
	top: 0;
	text-transform: uppercase;
	color: #fff;
	text-align: center;
	-webkit-flex-direction: column;
	-moz-flex-direction: column;
	-ms-flex-direction: column;
	-o-flex-direction: column;
	flex-direction: column;
	justify-content: center;
	width: 100%;
	height: 100%;
	align-items: center;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	font-weight: 800;
}

#hero_caption a {
	font-size: 1.2rem;
	padding: .5rem 2rem;
	border: 3px solid #fff;
	color: #fff;
}

#hero_caption a:hover{
	background: #1a171b;
	color: #fff;
}

#hero_caption h2, #hero_caption h3{
	color: #fff !important;
	font-weight: 800 !important;
}

#hero_caption h2{
	font-size:2.8rem;

}
#hero_caption h3{
	font-size: 1.4rem;
}

.inl{
	display: inline;
}
/* footer-icons */
.fa,.fab{
	margin-right: 10px;
}

.flex{
	margin-bottom: 10px;
}

#hero_caption .textwidget{
	max-width: 1000px;
}

.wc-block-grid.has-4-columns .wc-block-grid__product {
	flex: 1 0 22% !important;
	max-width: 22% !important;
	margin-left: 1.5% !important;
	margin-right: 1.5% !important;
	border: 1px solid #999;
}

.site-footer {
	background-color: #1a171b !important;
	color: #fff !important;
}

.site-footer .widget .widget-title{
	color: #fff !important;
}

.site-footer a{
	color: #e2001a !important;
}

.widget .widget-title, .widget .widgettitle{
	border-bottom: 0px !important; 
}

.home .header-widget-region .widget{
	padding: 0rem !important;
}

.home .entry-title{
	display: none !important
}

.home .hentry{
        margin-top: 4.235801032em;
        margin-bottom: 4.2358em;
}

.site-header-cart .cart-contents{
	font-size: 14px !important;
}

@media screen and (max-width: 930px){

	.site-header{
		background-color:#1a171b !important;
	}

	#hero_caption h2{
		font-size:23px;

	}
	#hero_caption h3{
		font-size:20px;
	}

	.wc-block-grid.has-4-columns .wc-block-grid__product {
		flex: 1 0 100% !important;
		max-width: 100% !important;
		margin-left: 1.5% !important;
		margin-right: 1.5% !important;
	}
	
	.main-navigation ul li a,.handheld-navigation .dropdown-toggle{
		color: #fff !important;
	}
	
	#site-navigation{text-align: left;}

	button.menu-toggle{
		top:10px !important
	}
	
	.storefront-handheld-footer-bar, .storefront-handheld-footer-bar ul li > a {
		display: block !important;
	}
	
	header #site-header-cart, header .site-search{display: none !important;}


}
